# Uses of Class
org.eclipse.jdt.core.dom.ModuleDeclaration

Packages that use ModuleDeclaration
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of ModuleDeclaration in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return ModuleDeclaration
Modifier and Type
Method
Description
`ModuleDeclaration`
CompilationUnit.`getModule()`
Returns the node for the module declaration of this compilation unit, or `null` if this compilation unit is not a module info.
`ModuleDeclaration`
AST.`newModuleDeclaration()`
Creates and returns a new unparented module declaration node for an unspecified, but legal, name; no modifiers; no javadoc; and an empty list of statements.
Methods in org.eclipse.jdt.core.dom with parameters of type ModuleDeclaration
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(ModuleDeclaration node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(ModuleDeclaration node, Object other)`
Returns whether the given node and the other object match.
`void`
CompilationUnit.`setModule(ModuleDeclaration module)`
Sets or clears the module declaration of this compilation unit node to the given module declaration node.
`boolean`
ASTVisitor.`visit(ModuleDeclaration node)`
Visits the given type-specific AST node.